<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::doNotDisturb Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html">doNotDisturb</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::doNotDisturb Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_d_n_d_message_request.html">DNDMessageRequest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_d_n_d_setting_protocol.html">DNDSettingProtocol</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html">DoNotDisturbCapabilityAgent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a63f96f9c55d26f4fd1a42c4a1f516cc6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a63f96f9c55d26f4fd1a42c4a1f516cc6">TAG</a> (&quot;DNDMessageRequest&quot;)</td></tr>
<tr class="memdesc:a63f96f9c55d26f4fd1a42c4a1f516cc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a63f96f9c55d26f4fd1a42c4a1f516cc6">More...</a><br /></td></tr>
<tr class="separator:a63f96f9c55d26f4fd1a42c4a1f516cc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bd2df54b5fa192d585e5e2801a45fcd"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a9bd2df54b5fa192d585e5e2801a45fcd">parseDirectivePayload</a> (const std::string &amp;payload, Document *document)</td></tr>
<tr class="separator:a9bd2df54b5fa192d585e5e2801a45fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac089210f401c8046e92403ff29abbb1c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#ac089210f401c8046e92403ff29abbb1c">INVALID_VALUE</a> = &quot;&quot;</td></tr>
<tr class="memdesc:ac089210f401c8046e92403ff29abbb1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to designate invalid value for the DND setting. NOTE: Valid values are "true" and "false".  <a href="#ac089210f401c8046e92403ff29abbb1c">More...</a><br /></td></tr>
<tr class="separator:ac089210f401c8046e92403ff29abbb1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1deee97249472a677b346e9dcc8e01"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6e1deee97249472a677b346e9dcc8e01">TAG</a> {&quot;DoNotDisturbCapabilityAgent&quot;}</td></tr>
<tr class="memdesc:a6e1deee97249472a677b346e9dcc8e01"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a6e1deee97249472a677b346e9dcc8e01">More...</a><br /></td></tr>
<tr class="separator:a6e1deee97249472a677b346e9dcc8e01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b47b726e208a9264c916764dc9b75de"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">NAMESPACE</a> = &quot;Alexa.DoNotDisturb&quot;</td></tr>
<tr class="memdesc:a6b47b726e208a9264c916764dc9b75de"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Alexa.DoNotDisturb interface namespace.  <a href="#a6b47b726e208a9264c916764dc9b75de">More...</a><br /></td></tr>
<tr class="separator:a6b47b726e208a9264c916764dc9b75de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbdf65051fce7b3a65f02e6fe8136cd4"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#abbdf65051fce7b3a65f02e6fe8136cd4">DIRECTIVE_SETDONOTDISTURB</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">NAMESPACE</a>, &quot;SetDoNotDisturb&quot;}</td></tr>
<tr class="memdesc:abbdf65051fce7b3a65f02e6fe8136cd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetDoNotDisturb</code> directive identifier.  <a href="#abbdf65051fce7b3a65f02e6fe8136cd4">More...</a><br /></td></tr>
<tr class="separator:abbdf65051fce7b3a65f02e6fe8136cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad73332edf08c5c6c55dd15aeb3074147"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#ad73332edf08c5c6c55dd15aeb3074147">EVENT_DONOTDISTURBCHANGED</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">NAMESPACE</a>, &quot;DoNotDisturbChanged&quot;}</td></tr>
<tr class="memdesc:ad73332edf08c5c6c55dd15aeb3074147"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>DoNotDisturbChanged</code> event identifier.  <a href="#ad73332edf08c5c6c55dd15aeb3074147">More...</a><br /></td></tr>
<tr class="separator:ad73332edf08c5c6c55dd15aeb3074147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af44b4e89ee94182c1f70a9c9df66a313"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#af44b4e89ee94182c1f70a9c9df66a313">EVENT_REPORTDONOTDISTURB</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">NAMESPACE</a>, &quot;ReportDoNotDisturb&quot;}</td></tr>
<tr class="memdesc:af44b4e89ee94182c1f70a9c9df66a313"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>ReportDoNotDisturb</code> event identifier.  <a href="#af44b4e89ee94182c1f70a9c9df66a313">More...</a><br /></td></tr>
<tr class="separator:af44b4e89ee94182c1f70a9c9df66a313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f9c841292e2a95a069e68cf4d2d45aa"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a5f9c841292e2a95a069e68cf4d2d45aa">DND_JSON_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="memdesc:a5f9c841292e2a95a069e68cf4d2d45aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS Interface type.  <a href="#a5f9c841292e2a95a069e68cf4d2d45aa">More...</a><br /></td></tr>
<tr class="separator:a5f9c841292e2a95a069e68cf4d2d45aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a505daa440a01059312e75ccc6182737b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a505daa440a01059312e75ccc6182737b">DND_JSON_INTERFACE_NAME</a> = &quot;Alexa.DoNotDisturb&quot;</td></tr>
<tr class="memdesc:a505daa440a01059312e75ccc6182737b"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS Interface name.  <a href="#a505daa440a01059312e75ccc6182737b">More...</a><br /></td></tr>
<tr class="separator:a505daa440a01059312e75ccc6182737b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad18a8d8a19e9b27ad1fea8c04f07544d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#ad18a8d8a19e9b27ad1fea8c04f07544d">DND_JSON_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:ad18a8d8a19e9b27ad1fea8c04f07544d"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS interface version.  <a href="#ad18a8d8a19e9b27ad1fea8c04f07544d">More...</a><br /></td></tr>
<tr class="separator:ad18a8d8a19e9b27ad1fea8c04f07544d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa58028eb21b7c2678788a719390e62"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#acaa58028eb21b7c2678788a719390e62">JSON_KEY_ENABLED</a> [] = &quot;enabled&quot;</td></tr>
<tr class="memdesc:acaa58028eb21b7c2678788a719390e62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "enabled" JSON branch.  <a href="#acaa58028eb21b7c2678788a719390e62">More...</a><br /></td></tr>
<tr class="separator:acaa58028eb21b7c2678788a719390e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a9bd2df54b5fa192d585e5e2801a45fcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bd2df54b5fa192d585e5e2801a45fcd">&#9670;&nbsp;</a></span>parseDirectivePayload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool alexaClientSDK::capabilityAgents::doNotDisturb::parseDirectivePayload </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>payload</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Document *&#160;</td>
          <td class="paramname"><em>document</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Parses a directive payload JSON and returns a parsed document object.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">payload</td><td>JSON string to parse. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">document</td><td>Pointer to a parsed document. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if parsing was successful, false otherwise. </dd></dl>

</div>
</div>
<a id="a63f96f9c55d26f4fd1a42c4a1f516cc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63f96f9c55d26f4fd1a42c4a1f516cc6">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::doNotDisturb::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;DNDMessageRequest&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="abbdf65051fce7b3a65f02e6fe8136cd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbdf65051fce7b3a65f02e6fe8136cd4">&#9670;&nbsp;</a></span>DIRECTIVE_SETDONOTDISTURB</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::doNotDisturb::DIRECTIVE_SETDONOTDISTURB {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">NAMESPACE</a>, &quot;SetDoNotDisturb&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>SetDoNotDisturb</code> directive identifier. </p>

</div>
</div>
<a id="a505daa440a01059312e75ccc6182737b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a505daa440a01059312e75ccc6182737b">&#9670;&nbsp;</a></span>DND_JSON_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::doNotDisturb::DND_JSON_INTERFACE_NAME = &quot;Alexa.DoNotDisturb&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>AVS Interface name. </p>

</div>
</div>
<a id="a5f9c841292e2a95a069e68cf4d2d45aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f9c841292e2a95a069e68cf4d2d45aa">&#9670;&nbsp;</a></span>DND_JSON_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::doNotDisturb::DND_JSON_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>AVS Interface type. </p>

</div>
</div>
<a id="ad18a8d8a19e9b27ad1fea8c04f07544d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad18a8d8a19e9b27ad1fea8c04f07544d">&#9670;&nbsp;</a></span>DND_JSON_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::doNotDisturb::DND_JSON_INTERFACE_VERSION = &quot;1.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>AVS interface version. </p>

</div>
</div>
<a id="ad73332edf08c5c6c55dd15aeb3074147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad73332edf08c5c6c55dd15aeb3074147">&#9670;&nbsp;</a></span>EVENT_DONOTDISTURBCHANGED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::doNotDisturb::EVENT_DONOTDISTURBCHANGED {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">NAMESPACE</a>, &quot;DoNotDisturbChanged&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>DoNotDisturbChanged</code> event identifier. </p>

</div>
</div>
<a id="af44b4e89ee94182c1f70a9c9df66a313"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af44b4e89ee94182c1f70a9c9df66a313">&#9670;&nbsp;</a></span>EVENT_REPORTDONOTDISTURB</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::doNotDisturb::EVENT_REPORTDONOTDISTURB {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">NAMESPACE</a>, &quot;ReportDoNotDisturb&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>ReportDoNotDisturb</code> event identifier. </p>

</div>
</div>
<a id="ac089210f401c8046e92403ff29abbb1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac089210f401c8046e92403ff29abbb1c">&#9670;&nbsp;</a></span>INVALID_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::doNotDisturb::INVALID_VALUE = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to designate invalid value for the DND setting. NOTE: Valid values are "true" and "false". </p>

</div>
</div>
<a id="acaa58028eb21b7c2678788a719390e62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaa58028eb21b7c2678788a719390e62">&#9670;&nbsp;</a></span>JSON_KEY_ENABLED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::doNotDisturb::JSON_KEY_ENABLED[] = &quot;enabled&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "enabled" JSON branch. </p>

</div>
</div>
<a id="a6b47b726e208a9264c916764dc9b75de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b47b726e208a9264c916764dc9b75de">&#9670;&nbsp;</a></span>NAMESPACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::doNotDisturb::NAMESPACE = &quot;Alexa.DoNotDisturb&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The Alexa.DoNotDisturb interface namespace. </p>

</div>
</div>
<a id="a6e1deee97249472a677b346e9dcc8e01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e1deee97249472a677b346e9dcc8e01">&#9670;&nbsp;</a></span>TAG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::doNotDisturb::TAG {&quot;DoNotDisturbCapabilityAgent&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
